# Generated from ftl_tools-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ftl_tools

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: CLI tools for role-playing games
License: OWL
URL: https://github.com/makhidkarun/ftl_tools
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-mocks) >= 3
# BuildRequires: rubygem(rspec-mocks) < 4
# BuildRequires: rubygem(rspec-expectations) >= 3
# BuildRequires: rubygem(rspec-expectations) < 4
BuildArch: noarch

%description
CLI tools for role-playing games. Generate characters,
dice rolls, planets, etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/chargen
%{_bindir}/crewgen
%{_bindir}/planetgen
%{_bindir}/roll_dice
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/docs

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
